This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 12339 - We should mention that UAs may use a different clock than the wall clock for defining the rate of time in the media timeline, specifically so that they are allowed to use the soundcard clock to ensure reliable audio playback.
Summary: We should mention that UAs may use a different clock than the wall clock for ...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-19 03:53 UTC by contributor
Modified: 2011-08-04 05:02 UTC (History)
6 users (show)

See Also:


Attachments

Description contributor 2011-03-19 03:53:09 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/complete.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#media-timeline

Comment:
We should mention that UAs may use a different clock than the wall clock for
defining the rate of time in the media timeline, specifically so that they are
allowed to use the soundcard clock to ensure reliable audio playback.

Posted from: 76.102.14.57 by ian@hixie.ch
User agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_6; en-US) AppleWebKit/534.16 (KHTML, like Gecko) Chrome/10.0.648.133 Safari/534.16
Comment 1 David Singer 2011-03-20 10:26:43 UTC
I don't think that the HTML5 spec. requires that the time-of-day clock be used for clocking media out, only that as the TOD clock progresses, playback also progresses.  I agree, it's normal to use the audio clock as the base clock for media, not time-of-day.  This is a media-specific playout issue that we shouldn't get into.  (People writing streaming specs have to; we don't.)
Comment 2 Ian 'Hixie' Hickson 2011-03-21 09:08:55 UTC
Actually the spec currently uses the term "wall clock" to define the rate of playback. My plan is just to change it to say you can use any clock; I agree that we shouldn't get into it any more than that.
Comment 3 Philip J├Ągenstedt 2011-03-21 09:53:09 UTC
Just be careful to assume that the sound card actually has a monotonically increasing global clock which can be queried independently of any audio streams. In actuality the sound card has a ring buffer and it's (hopefully) possible to query approximately which sample in that ring buffer is in the DAC right now.

So, just be a bit vague and it'll be fine.
Comment 4 Ian 'Hixie' Hickson 2011-04-08 07:00:29 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 5 contributor 2011-04-08 07:01:28 UTC
Checked in as WHATWG revision r5976.
Check-in comment: Allow non-wall-clock clocks for media playback, since in practice UAs sync things to the soundcard's ring buffer, or similar, to avoid stuttering.
http://html5.org/tools/web-apps-tracker?from=5975&to=5976
Comment 6 Michael[tm] Smith 2011-08-04 05:02:01 UTC
mass-moved component to LC1